﻿@model KBA_FE.Models.SpielerModel
@{
    float gespielt = Model.GewonneneSpiele + Model.UnentschiedeneSpiele + Model.VerloreneSpiele;

    string widthWin = ((Model.GewonneneSpiele * 100) / gespielt).ToString("N3").Replace(',', '.');
    string widthTie = ((Model.UnentschiedeneSpiele * 100) / gespielt).ToString("N3").Replace(',', '.');
    string widthLoss = ((Model.VerloreneSpiele * 100) / gespielt).ToString("N3").Replace(',', '.');

}
<div class="container shadow p-3 mt-5 bg-dark rounded text-dark">
    <div class="row">
        <div class="col text-light">
            <h3 style="margin: auto">Willkommen @Model.Name!</h3>
        </div>
        <div class="col text-right">
            <button class="btn btn-warning" onclick="change_name_modal('@Model.Name')">Name ändern</button>
            <button class="btn btn-danger" onclick="sign_out('@Model.Name')">Abmelden</button>
        </div>
    </div>
</div>
<div class="mb-3 mt-1">
    <div class="progress">
        <div class="progress-bar bg-success" role="progressbar" style="width: @widthWin%" aria-valuenow="@Model.GewonneneSpiele" aria-valuemin="0" aria-valuemax="@gespielt" data-toggle="tooltip" data-placement="bottom" title="Gewonnen: @Model.GewonneneSpiele"></div>
        <div class="progress-bar bg-warning" role="progressbar" style="width: @widthTie%" aria-valuenow="@Model.UnentschiedeneSpiele" aria-valuemin="0" aria-valuemax="@gespielt" data-toggle="tooltip" data-placement="bottom" title="Unentschieden: @Model.UnentschiedeneSpiele"></div>
        <div class="progress-bar bg-danger" role="progressbar" style="width: @widthLoss%" aria-valuenow="@Model.VerloreneSpiele" aria-valuemin="0" aria-valuemax="@gespielt" data-toggle="tooltip" data-placement="bottom" title="Verloren: @Model.VerloreneSpiele"></div>
    </div>
    <span class="text-sub">Spielstatistik <i class="fas fa-angle-double-up ml-1"></i></span>
</div>

<div class="modal fade" id="user-change-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div id="user-change-modal-content" class="modal-content">
        </div>
    </div>
</div>

<script>
    function change_name_modal() {
        $.ajax({
            type: "POST",
            url: "/User/ChangeNameModal",
            data: @Html.Raw(Json.Serialize(@Model)),
            success: response => {
                $("#user-change-modal-content").html(response);
                $("#user-change-modal").modal("show");
            }
        });
    }
</script>